# DocumentScannerAccessibilityConfiguration class

Document scanner accessibility configuration

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, explicitToJson: true)

## Constructors

DocumentScannerAccessibilityConfiguration(String flashButtonAccessibilityLabel, String flashButtonAccessibilityHint, String multiPageButtonAccessibilityLabel, String multiPageButtonAccessibilityHint, String autoSnappingButtonAccessibilityLabel, String autoSnappingButtonAccessibilityHint, String cancelButtonAccessibilityLabel, String cancelButtonAccessibilityHint, String pageCounterButtonAccessibilityLabel, String pageCounterAccessibilityHint, String shutterButtonAccessibilityLabel, String shutterButtonAccessibilityHint)

## Properties

autoSnappingButtonAccessibilityHint ↔ String
  Text used as an accessibility hint for the auto-snapping button.
  getter/setter pair
autoSnappingButtonAccessibilityLabel ↔ String
  Text used as an accessibility label for the auto-snapping button.
  getter/setter pair
cancelButtonAccessibilityHint ↔ String
  Text used as an accessibility hint for the cancel button.
  getter/setter pair
cancelButtonAccessibilityLabel ↔ String
  Text used as an accessibility label for the cancel button.
  getter/setter pair
flashButtonAccessibilityHint ↔ String
  Text used as an accessibility hint for the flash button.
  getter/setter pair
flashButtonAccessibilityLabel ↔ String
  Text used as an accessibility label for the flash button.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
multiPageButtonAccessibilityHint ↔ String
  Text used as an accessibility hint for the multi-page button.
  getter/setter pair
multiPageButtonAccessibilityLabel ↔ String
  Text used as an accessibility label for the multi-page button.
  getter/setter pair
pageCounterAccessibilityHint ↔ String
  Text used as an accessibility hint for the page count button.
  getter/setter pair
pageCounterButtonAccessibilityLabel ↔ String
  Text used as an accessibility label for the page count button.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
shutterButtonAccessibilityHint ↔ String
  Text used as an accessibility hint for the shutter button.
  getter/setter pair
shutterButtonAccessibilityLabel ↔ String
  Text used as an accessibility label for the shutter button.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited